import request from '@/utils/request'

// 查询系统管理列表
export function listSYSTEM(query) {
  return request({
    url: '/SYSTEM/list',
    method: 'get',
    params: query
  })
}

// 查询系统管理所有列表
export function listAllSYSTEM(query) {
  return request({
    url: '/SYSTEM/listAll',
    method: 'get',
    params: query
  })
}

// 查询系统管理详细
export function getSYSTEM(id) {
  return request({
    url: '/SYSTEM/getInfo/' + id,
    method: 'get'
  })
}

// 新增系统管理
export function addSYSTEM(data) {
  return request({
    url: '/SYSTEM/add',
    method: 'post',
    data: data
  })
}

// 修改系统管理
export function updateSYSTEM(data) {
  return request({
    url: '/SYSTEM/edit',
    method: 'post',
    data: data
  })
}

// 删除系统管理
export function delSYSTEM(id) {
  return request({
    url: '/SYSTEM/remove/' + id,
    method: 'get'
  })
}
// 上传文件
export function upload(data) {
  return request({
    url: '/common/upload/',
    method: 'post',
    data:data
  })
}